KubeOne(1)

NAME
kubeone-certificates-renew - renew all the certificates of the Kubernetes control plane and kubelets

SYNOPSIS
kubeone certificates renew [flags]

DESCRIPTION
This command will run "kubeadm certs renew all" across control plane VMs and restart control plane pods after that. see more: https://kubernetes.io/docs/tasks/administer-cluster/kubeadm/kubeadm-certs/#manual-certificate-renewal

Additionally it will approve pending kubelet CSRs.

OPTIONS
-h, --help[=false]
    help for renew

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    kubeone certificates renew --tfjson tf.json --manifest kubeone.yaml

SEE ALSO
kubeone-certificates(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra